namespace InABox.Integration.Logikal
{
    public class LogikalElevationSummaryResponse<TElevation> : LogikalResponse
        where TElevation : ILogikalElevationSummary
    {
        public override LogikalMethod Method() => LogikalMethod.ElevationSummary;

        public TElevation[] Elevations { get; set; } = new TElevation[] { };

        public override string ToString() => $"{Elevations?.Length ?? 0} Elevations found";
    }
}